## generic_a15-user 10 QP1A.190711.020 eng.root.20230414.190405 dev-keys
- Manufacturer: unknown
- Platform: kirin970
- Codename: kirin970
- Brand: kirin970
- Flavor: user
- Release Version: 10
- Kernel Version: 
- Id: QP1A.190711.020
- Incremental: eng.root.20230414.185844
- Tags: release-keys
- CPU Abilist: arm64-v8a,armeabi-v7a,armeabi
- A/B Device: false
- Treble Device: true
- Locale: en-US
- Screen Density: undefined
- Fingerprint: kirin970/kirin970/kirin970:10/QP1A.190711.020/root202304141858:user/test-keys
- OTA version: 
- Branch: generic_a15-user-10-QP1A.190711.020-eng.root.20230414.190405-dev-keys
- Repo: kirin970/kirin970
